{
  lib,
  fetchFromGitHub,
  rustPlatform,
  ...
}:
rustPlatform.buildRustPackage rec {
  pname = "nu_plugin_dns";
  version = "1.0.3";

  src = fetchFromGitHub {
    owner = "dead10ck";
    repo = pname;
    rev = "v${version}";
    hash = "sha256-SPJTaz7kQpeDPRrU0Ab2yDUJiSBUVZBBgP07ciHe02I=";
  };

  doCheck = false;

  cargoHash = "sha256-Zs2BF/NUqiaa3nhUMa0m/3AEYHU96Ki1JBz9j7DUq4k=";

  meta = with lib; {
    description = "Nushell plugin that does DNS queries and parses results into meaningful types.";
    homepage = "https://github.com/dead10ck/nu_plugin_dns";
  };
}
